org.apache.solr.handler.dataimport

## Class ZKPropertiesWriter

- java.lang.Object
- - org.apache.solr.handler.dataimport.DIHProperties
  - - org.apache.solr.handler.dataimport.SimplePropertiesWriter
    - - org.apache.solr.handler.dataimport.ZKPropertiesWriter

-     public class ZKPropertiesWriter
      extends SimplePropertiesWriter

  A SolrCloud-friendly extension of `SimplePropertiesWriter`. This implementation ignores the "directory" parameter, saving the properties file under /configs/[solrcloud collection name]/

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.handler.dataimport.SimplePropertiesWriter

      `configDir, DATE_FORMAT, dateFormat, DIRECTORY, filename, FILENAME, locale, LOCALE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZKPropertiesWriter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `findDirectory(DataImporter dataImporter, Map<String,String> params)`
    `void` | `init(DataImporter dataImporter, Map<String,String> params)`
    `boolean` | `isWritable()`
    `void` | `persist(Map<String,Object> propObjs)`
    `Map<String,Object>` | `readIndexerProperties()`

    - ### Methods inherited from class org.apache.solr.handler.dataimport.SimplePropertiesWriter

      `convertDateToString, convertStringToDate, mapToProperties, propertiesToMap`

    - ### Methods inherited from class org.apache.solr.handler.dataimport.DIHProperties

      `getCurrentTimestamp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZKPropertiesWriter

          public ZKPropertiesWriter()

  - ### Method Detail

    - #### init

          public void init(DataImporter dataImporter,
                           Map<String,String> params)

      Overrides:
        `init` in class `SimplePropertiesWriter`

    - #### findDirectory

          protected void findDirectory(DataImporter dataImporter,
                                       Map<String,String> params)

      Overrides:
        `findDirectory` in class `SimplePropertiesWriter`

    - #### isWritable

          public boolean isWritable()

      Overrides:
        `isWritable` in class `SimplePropertiesWriter`

    - #### persist

          public void persist(Map<String,Object> propObjs)

      Overrides:
        `persist` in class `SimplePropertiesWriter`

    - #### readIndexerProperties

          public Map<String,Object> readIndexerProperties()

      Overrides:
        `readIndexerProperties` in class `SimplePropertiesWriter`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.